import java.awt.EventQueue;

import javax.swing.JComponent;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import java.awt.BorderLayout;
import javax.swing.table.DefaultTableModel;
import javax.swing.table.TableModel;
import javax.swing.JTabbedPane;
import com.jgoodies.forms.layout.FormLayout;
import com.jgoodies.forms.layout.ColumnSpec;
import com.jgoodies.forms.layout.RowSpec;
import com.jgoodies.forms.factories.FormFactory;
import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.sql.ResultSet;
import java.sql.SQLException;

import javax.swing.border.BevelBorder;
import javax.swing.JTextPane;
import javax.swing.JTextField;
import javax.swing.JButton;


public class SimpleGUI {

	private JFrame frame;
	private JTable tblResultSet;
	private JTextField txtStanding;
	private JTextField txtMajor;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					SimpleGUI window = new SimpleGUI();
					window.frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the application.
	 */
	public SimpleGUI() {
		initialize();
	}

	/**
	 * Initialize the contents of the frame.
	 */
	private void initialize() {
		frame = new JFrame();
		frame.setBounds(100, 100, 450, 300);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.getContentPane().setLayout(null);
		
		JScrollPane scrollPane = new JScrollPane();
		scrollPane.setBounds(31, 101, 387, 157);
		frame.getContentPane().add(scrollPane);
		
		tblResultSet = new JTable();
		scrollPane.setViewportView(tblResultSet);
		
		txtStanding = new JTextField();
		txtStanding.setToolTipText("Enter desired standing ");
		txtStanding.setText("JR");
		txtStanding.setBounds(31, 12, 152, 19);
		frame.getContentPane().add(txtStanding);
		txtStanding.setColumns(10);
		
		txtMajor = new JTextField();
		txtMajor.setToolTipText("Enter desired major");
		txtMajor.setText("Computer Science");
		txtMajor.setBounds(31, 57, 152, 19);
		frame.getContentPane().add(txtMajor);
		txtMajor.setColumns(10);
		
		JButton btnFindStudents = new JButton("Find Students");
		btnFindStudents.setToolTipText("Find all students with the desired standing and major");
		btnFindStudents.setEnabled(true);
		btnFindStudents.setBounds(285, 32, 133, 25);
		frame.getContentPane().add(btnFindStudents);
		
		btnFindStudents.addActionListener(new ButtonClickListener());
	}
	
	private class ButtonClickListener implements ActionListener{
		
		public void actionPerformed(ActionEvent e)
		{
			//String action = e.getActionCommand();
		
				DBConnection newConn = new DBConnection();
			
				newConn.loadDriver();
		
				String hostname = "dabedrab-db.qatar.cmu.local";
				String DBname = "Recitation3";
				newConn.connectToDatabase(hostname, DBname, "postgres", "DBadminS14");
			
				String standing = txtStanding.getText();
				String major = txtMajor.getText();
				newConn.executeSelect(standing, major);
				DefaultTableModel tm = newConn.rs2tm(newConn.rs);
				tblResultSet.setModel(tm);
				
				newConn.clean();
		}
		   
	}
}

